# Generated by Django 3.2.5 on 2021-08-21 14:04

import django.db.models.deletion
from django.db import migrations
from django.db import models


class Migration(migrations.Migration):

    dependencies = [
        ('videofeed', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='YoutubeChannel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
                ('channel_id', models.CharField(max_length=30)),
            ],
        ),
        migrations.AddField(
            model_name='video',
            name='channel',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='videofeed.youtubechannel'),
            preserve_default=False,
        ),
    ]
